import type { NDKUserProfile } from '@nostr-dev-kit/ndk';

interface ProfileProps {
  profile: NDKUserProfile;
  npub: string;
}

export const getProfile = ({ profile, npub }: ProfileProps) => ({
  displayName: profile.displayName || profile.name || npub.substring(0, 8),
  profileUrl: `/profile/${npub}`,
});
